ATA_HOST_ALLOC_PINFO(9)

NAME
ata_host_alloc_pinfo - alloc host and init with port_info array

SYNOPSIS

struct ata_host * ata_host_alloc_pinfo(struct device * dev, const struct ata_port_info *const * ppi, int n_ports);

ARGUMENTS

dev
    generic device this host is associated with

ppi
    array of ATA port_info to initialize host with

n_ports
    number of ATA ports attached to this host

DESCRIPTION

Allocate ATA host and initialize with info from ppi. If NULL terminated, ppi may contain fewer entries than n_ports. The last entry will be used for the remaining ports.

RETURNS

Allocate ATA host on success, NULL on failure.

LOCKING

Inherited from calling layer (may sleep).

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT